local padre1 = require("Padre")

-- will store a instance of 'Jugador' class
local player

require("Jugador")
require("Disparo")

function love.load()
  love.window.setMode(640, 480)

  -- creating an instance of class 'Jugador'.
  -- The class itself should not be used as a object!!
  player = Jugador:new()
end

function love.update(dt)
  padre1:update_all(dt)
  player:update(dt)

  --salir de la aplicacion
  if (love.keyboard.isDown("escape")) then
    love.event.quit(0)
  end
end

function love.draw()
  padre1:draw_all()
  player:draw()
end
