--clase padre-----------------------
local lista = {}

Padre = {}
Padre.__index = Padre

-- function to insert a object in the list of objects
function Padre:insert()
  table.insert(lista, self)
end

-- remove an object from the list
function Padre:kill()
  local indice
  for iterador, gameObj in ipairs(lista) do
    if (gameObj == self) then
      indice = iterador
      break
    end
  end

  if (indice) then
    table.remove(lista, indice)
  end
end

function Padre:update_all(dt)
  for iterador, padre in ipairs(lista) do
    padre:update(dt)
  end
end

function Padre:draw_all()
  for iterador, padre in ipairs(lista) do
    padre:draw()
  end
end

return Padre
